draw a circle with lisp.. (visually)

Discussion in 'AutoCAD' started by C Witt, Sep 27, 2004.

  1. C Witt

    BillZ Guest

    Then found a v-lispy trick on afralisp <<<

    When I just did vanilla autolisp, I knew everything.
    Now that I've started V-lisp, I don't know anything anymore.

    :)

    Thanks

    Bill
     
    BillZ, Sep 28, 2004
    #21
  2. C Witt

    Doug Broad Guest

    I begin to see what you want to do but think you should consider some
    more practical and more easily achieved alternatives. Your offset program,
    for example, does not allow a through point option, even though it offers
    it as a keyword. I have tried doing these kinds of substitute commands
    and found that the investment was not a profitable one.

    Some alternatives:

    1) If you want to "always" draw using ft/inches and always dimension
    in millimeters use "DIMLFAC" variable to translate for you or use
    dual dimensioning. Plotting such work is not a problem.

    2)If you only "sometimes" enter feet and/or inches and always want results
    in millimeters, then consider a transparent command that lets you enter
    the feet and inches and let in convert for you.
    (defun c:in()(* 25.4 (getdist "\nEnter distance in inches: ")))

    3)If you usually work in ft/in and want to sometimes enter mm, the provide
    a transparent conversion program. I use
    (defun c:mm()(/ 25.4 (getdist "\nEnter distance in mm: ")))
    You could also devise one that would be flexible enough to accept point
    or distance data.

    4)A non-modal key-in dialog box that would do the translation for you
    while using ordinary commands, perhaps using VBA or another process
    outside of AutoCAD using IPC of some sort.

    Regards,
    Doug



     
    Doug Broad, Sep 28, 2004
    #22
  3. C Witt

    C Witt Guest

    ok, further..

    we do both imperial & metric drawings (us & canada).. but we want to be
    able to enter imperial sizes when working in a metric drawing.. and have
    it "see" the metric version.. (as my offset command does).

    re: the through option.. the offset overlay I made works exactly like
    the basic command (or at least when anyone here runs it).. not sure
    what problem you had with it..

    but it seems i've hit to top of the tree here.. so i'll go bark up
    another somewhere else.. thanks for the ideas.
     
    C Witt, Sep 28, 2004
    #23
  4. C Witt

    Doug Broad Guest

    C,

    Sorry wasn't able to help. Sounds like a great wish list item for
    the next AutoCAD. I'd like to be able to enter feet and inches
    even when in metric.

    Regards,
    Doug
     
    Doug Broad, Sep 28, 2004
    #24
  5. Why don't you make a circle with, for example, a specified center point, and
    an arbitrary radius (like 1). You can use entmake or command for this.
    Then tap into the change command to change the radius (command "_.CHANGE"
    ename "" pause). The empty quote is important. You still have the command
    prompts in the command area but you can force those up and not visible by
    doing this:
    (command "_.CHANGE" ename "")
    (terpri)
    (terpri)
    (terpri)
    (command pause)
     
    Sandra Rivera, Sep 29, 2004
    #25
  6. C Witt

    C Witt Guest

    that wouldn't work when trying to use the 2P, 3P and TTR options of circle..
     
    C Witt, Sep 29, 2004
    #26
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.